Subject: Re: bug#18363: stat command

From: Pádraig Brady <[email-masked]>
Date: Sat, 30 Aug 2014 10:27:01 +0100

tag 18363 notabug
close 18363
stop

On 08/30/2014 12:32 AM, Dach Hau wrote:
> Hi there, not sure if this is a bug
> 
> I'm running ubuntu 14.04. I'm trying to get the creation date on a file but
> it's not giving me any output. It's only giving me the following output:
> 
> 
> root@app03:~# stat mbr
>   File: ‘mbr’
>   Size: 512       Blocks: 8          IO Block: 4096   regular file
> Device: 801h/2049d Inode: 486199      Links: 1
> Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
> Access: 2014-08-28 16:22:18.638252610 -0700
> Modify: 2014-08-28 16:19:25.602704281 -0700
> Change: 2014-08-28 16:19:25.602704281 -0700
>  Birth: -
> 
> 
> My file system is EXT4.

There is no kernel interface to get the birth time at present.
There is mooted xstat() syscall IIRC, which we'll wire up if available.
This might work on cygwin I think.

thanks,
Pádraig.